Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.application
Interface EarArchive

All Superinterfaces:
  JarArchive

All Known Implementing Classes:
  DefaultEarArchive

public interface EarArchive
extends JarArchive

Class that encapsulates access to an EAR.

Since:
  Cactus 1.5
Version:
  $Id: EarArchive.java 239003 2004-05-31 20:05:27Z vmassol $

Method Summary
`ApplicationXml` | `getApplicationXml()` Returns the deployment descriptor of the web application.
`WarArchive` | `getWebModule(java.lang.String theUri)` Returns the web-app archive stored in the EAR with the specified URI.

Methods inherited from interface org.apache.cactus.integration.ant.deployment.JarArchive
`containsClass, findResource, getResource, getResources`

Method Detail

### getApplicationXml

    public ApplicationXml getApplicationXml()
                                     throws java.io.IOException,
                                            org.xml.sax.SAXException,
                                            javax.xml.parsers.ParserConfigurationException

  Returns the deployment descriptor of the web application.

  Returns:
    The parsed deployment descriptor
  Throws:
    `java.io.IOException` - If there was a problem reading the deployment descriptor in the EAR
    `org.xml.sax.SAXException` - If the deployment descriptor of the EAR could not be parsed
    `javax.xml.parsers.ParserConfigurationException` - If there is an XML parser configration problem

### getWebModule

    public WarArchive getWebModule(java.lang.String theUri)
                            throws java.io.IOException

  Returns the web-app archive stored in the EAR with the specified URI.

  Parameters:
    `theUri` - The URI of the web module
  Returns:
    The web-app archive, or `null` if no WAR was found at the specified URI
  Throws:
    `java.io.IOException` - If there was an errors reading from the EAR or WAR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.